/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHistory_H__
#define __GdomHistory_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHistory GdomHistory;
typedef struct _GdomHistoryClass GdomHistoryClass;


#define GDOM_TYPE_HISTORY            (gdom_history_get_type())
#define GDOM_HISTORY(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HISTORY, GdomHistory))
#define GDOM_HISTORY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HISTORY, GdomHistory)Class)
#define GDOM_IS_HISTORY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HISTORY))
#define GDOM_IS_HISTORY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HISTORY))
#define GDOM_HISTORY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HISTORY, GdomHistoryClass))

typedef struct _GdomHistoryPrivate GdomHistoryPrivate;

struct _GdomHistory {
    GdomDOMObject parent_instance;
    GdomHistoryPrivate *priv;
};

struct _GdomHistoryClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_history_get_type (void);

WEBKIT_API void
gdom_history_back (GdomHistory *thiz);

WEBKIT_API void
gdom_history_forward (GdomHistory *thiz);

WEBKIT_API void
gdom_history_go (GdomHistory *thiz, glong distance);

G_END_DECLS

#endif /* __GdomHistory_H__ */
